> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudsquid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Table

> Retrieve a table and its metadata.



## OpenAPI

````yaml get /projects/{project_name}/tables/{table_id}
openapi: 3.0.3
info:
  title: Cloudsquid
  description: This is the backend of cloudsquid specification
  termsOfService: cloudsquid.io
  contact:
    email: info@cloudsquid.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.11
servers:
  - url: https://api.cloudsquid.io/api
    description: API
security:
  - api-key: []
paths:
  /projects/{project_name}/tables/{table_id}:
    parameters:
      - name: project_name
        in: path
        required: true
        description: The name of the project
        schema:
          type: string
      - name: table_id
        in: path
        required: true
        description: The id of the table
        schema:
          type: string
          format: uuid
    get:
      tags:
        - tables
      summary: GET /projects/{project_name}/tables/{table_id}
      description: get a specific table
      responses:
        '200':
          description: Successfully retrieved table
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Table'
        '500':
          description: Something went wrong
components:
  schemas:
    Table:
      description: Table Configuration
      type: object
      properties:
        name:
          type: string
          description: name of the table
        id:
          type: string
          format: uuid
          description: id of the table
        created_at:
          type: string
          format: date-time
          description: time the table was created
        settings:
          type: object
          description: settings of the table
          additionalProperties: true
        type:
          type: string
          description: the type of the table
          enum:
            - Extraction
            - Reconcile
            - Storage
      required:
        - type
        - name
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-Key

````